import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cx from "classnames";
import { useGlobalState } from "../lib/hooks";
const SettingsModal = () => {
    const { state } = useGlobalState();
    return (_jsxs("div", { className: cx(`absolute bg-black shadow-xl shadow-black/50 p-20 rounded-xl flex justify-center items-center flex-col transition-[transform,opacity] duration-300`, state.mode === `settings`
            ? `opacity-100`
            : `scale-75 opacity-0 pointer-events-none`), children: [_jsx("span", { className: "text-zinc-200 text-lg font-medium", children: "Settings / plugin store" }), _jsx("span", { className: "text-zinc-500", children: "Comiong soon!" })] }));
};
export default SettingsModal;
